Show / Hide Table of Contents

# Class ImGui_Impl_SDL

Currently undocumented because it is a horrible mess. A near-direct port of https://github.com/ocornut/imgui/blob/master/examples/imgui_impl_sdl.cpp

##### Inheritance

System.Object
ImGui_Impl_SDL

##### Implements

IImGuiInputHandler
System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class ImGui_Impl_SDL : IImGuiInputHandler, IDisposable

### Constructors

| Improve this Doc View Source

#### ImGui_Impl_SDL(IntPtr)

##### Declaration

    public ImGui_Impl_SDL(IntPtr sdlWindow)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | sdlWindow |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### NewFrame(Int32, Int32)

##### Declaration

    public void NewFrame(int width, int height)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | width |
System.Int32 | height |

| Improve this Doc View Source

#### SetIniPath(String)

##### Declaration

    public void SetIniPath(string iniPath)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | iniPath |

### Implements

IImGuiInputHandler
System.IDisposable